/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CarRentalClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CarRentalClaimRequest {
  @SerializedName("car_rental")
  private CarRental carRental = null;

  @SerializedName("incident")
  private Model77 incident = null;

  @SerializedName("affected_person")
  private AffectedPerson affectedPerson = null;

  @SerializedName("other_insurance_covering")
  private OtherInsuranceCovering otherInsuranceCovering = null;

  @SerializedName("existing_case")
  private Model78 existingCase = null;

  @SerializedName("legal_consents")
  private LegalConsents legalConsents = null;

  @SerializedName("policy")
  private Model82 policy = null;

  @SerializedName("total_amount_claimed")
  private Model70 totalAmountClaimed = null;

  @SerializedName("amount_estimation_damage")
  private Model71 amountEstimationDamage = null;

  @SerializedName("contact_phones")
  private Model84 contactPhones = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  public CarRentalClaimRequest carRental(CarRental carRental) {
    this.carRental = carRental;
    return this;
  }

   /**
   * Get carRental
   * @return carRental
  **/
  @ApiModelProperty(value = "")
  public CarRental getCarRental() {
    return carRental;
  }

  public void setCarRental(CarRental carRental) {
    this.carRental = carRental;
  }

  public CarRentalClaimRequest incident(Model77 incident) {
    this.incident = incident;
    return this;
  }

   /**
   * Get incident
   * @return incident
  **/
  @ApiModelProperty(required = true, value = "")
  public Model77 getIncident() {
    return incident;
  }

  public void setIncident(Model77 incident) {
    this.incident = incident;
  }

  public CarRentalClaimRequest affectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
    return this;
  }

   /**
   * Get affectedPerson
   * @return affectedPerson
  **/
  @ApiModelProperty(required = true, value = "")
  public AffectedPerson getAffectedPerson() {
    return affectedPerson;
  }

  public void setAffectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
  }

  public CarRentalClaimRequest otherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
    return this;
  }

   /**
   * Get otherInsuranceCovering
   * @return otherInsuranceCovering
  **/
  @ApiModelProperty(value = "")
  public OtherInsuranceCovering getOtherInsuranceCovering() {
    return otherInsuranceCovering;
  }

  public void setOtherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
  }

  public CarRentalClaimRequest existingCase(Model78 existingCase) {
    this.existingCase = existingCase;
    return this;
  }

   /**
   * Get existingCase
   * @return existingCase
  **/
  @ApiModelProperty(value = "")
  public Model78 getExistingCase() {
    return existingCase;
  }

  public void setExistingCase(Model78 existingCase) {
    this.existingCase = existingCase;
  }

  public CarRentalClaimRequest legalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
    return this;
  }

   /**
   * Get legalConsents
   * @return legalConsents
  **/
  @ApiModelProperty(required = true, value = "")
  public LegalConsents getLegalConsents() {
    return legalConsents;
  }

  public void setLegalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
  }

  public CarRentalClaimRequest policy(Model82 policy) {
    this.policy = policy;
    return this;
  }

   /**
   * Get policy
   * @return policy
  **/
  @ApiModelProperty(required = true, value = "")
  public Model82 getPolicy() {
    return policy;
  }

  public void setPolicy(Model82 policy) {
    this.policy = policy;
  }

  public CarRentalClaimRequest totalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model70 getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public CarRentalClaimRequest amountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
    return this;
  }

   /**
   * Get amountEstimationDamage
   * @return amountEstimationDamage
  **/
  @ApiModelProperty(value = "")
  public Model71 getAmountEstimationDamage() {
    return amountEstimationDamage;
  }

  public void setAmountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
  }

  public CarRentalClaimRequest contactPhones(Model84 contactPhones) {
    this.contactPhones = contactPhones;
    return this;
  }

   /**
   * Get contactPhones
   * @return contactPhones
  **/
  @ApiModelProperty(value = "")
  public Model84 getContactPhones() {
    return contactPhones;
  }

  public void setContactPhones(Model84 contactPhones) {
    this.contactPhones = contactPhones;
  }

  public CarRentalClaimRequest certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim.
   * @return certificateId
  **/
  @ApiModelProperty(value = "Identifier of the certificate related to the claim.")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CarRentalClaimRequest carRentalClaimRequest = (CarRentalClaimRequest) o;
    return Objects.equals(this.carRental, carRentalClaimRequest.carRental) &&
        Objects.equals(this.incident, carRentalClaimRequest.incident) &&
        Objects.equals(this.affectedPerson, carRentalClaimRequest.affectedPerson) &&
        Objects.equals(this.otherInsuranceCovering, carRentalClaimRequest.otherInsuranceCovering) &&
        Objects.equals(this.existingCase, carRentalClaimRequest.existingCase) &&
        Objects.equals(this.legalConsents, carRentalClaimRequest.legalConsents) &&
        Objects.equals(this.policy, carRentalClaimRequest.policy) &&
        Objects.equals(this.totalAmountClaimed, carRentalClaimRequest.totalAmountClaimed) &&
        Objects.equals(this.amountEstimationDamage, carRentalClaimRequest.amountEstimationDamage) &&
        Objects.equals(this.contactPhones, carRentalClaimRequest.contactPhones) &&
        Objects.equals(this.certificateId, carRentalClaimRequest.certificateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(carRental, incident, affectedPerson, otherInsuranceCovering, existingCase, legalConsents, policy, totalAmountClaimed, amountEstimationDamage, contactPhones, certificateId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CarRentalClaimRequest {\n");
    
    sb.append("    carRental: ").append(toIndentedString(carRental)).append("\n");
    sb.append("    incident: ").append(toIndentedString(incident)).append("\n");
    sb.append("    affectedPerson: ").append(toIndentedString(affectedPerson)).append("\n");
    sb.append("    otherInsuranceCovering: ").append(toIndentedString(otherInsuranceCovering)).append("\n");
    sb.append("    existingCase: ").append(toIndentedString(existingCase)).append("\n");
    sb.append("    legalConsents: ").append(toIndentedString(legalConsents)).append("\n");
    sb.append("    policy: ").append(toIndentedString(policy)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    amountEstimationDamage: ").append(toIndentedString(amountEstimationDamage)).append("\n");
    sb.append("    contactPhones: ").append(toIndentedString(contactPhones)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

